Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#68724 - Spectacle, Filelight and other KDE apps need to be built against QT 5.15.2

Attached to Project: Arch Linux
Opened by Matt McDonald (gardotd426) - Monday, 23 November 2020, 18:58 GMT
Last edited by Antonio Rojas (arojas) - Monday, 23 November 2020, 19:27 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description: All of the Qt libraries were updated to 5.15.2 from 5.15.1 the other day, but so far none of the KDE apps have been rebuilt against them, and are now failing to launch.

Spectacle gives this:

Cannot mix incompatible Qt library (5.15.1) with this library (5.15.2)
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = spectacle path = /usr/bin pid = 396453
KCrash: Arguments: /usr/bin/spectacle
KCrash: Attempting to start /usr/lib/drkonqi
Cannot mix incompatible Qt library (5.15.1) with this library (5.15.2)
Unable to start Dr. Konqi
Re-raising signal for core dump handling.
[1] 396453 abort (core dumped) spectacle

Filelight does something similar, basically no KDE apps are going to work until they get updated.


Additional info:
* package version(s): Spectacle 20.08.3-1, Filelight 20.08.3-1, Dolphin, etc. all are 20.08.3-1, QT 5.15.2
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce: Have an up to date system, and try to open Spectacle, Filelight, Dolphin, Kdenlive, etc.
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 23 November 2020, 19:27 GMT
Reason for closing:  Not a bug
Additional comments about closing:  you're using an unsupported style

Loading...